Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00205 Crash/Freeze Critical (emulation) Have not tried Jan 26, 2008, 20:14 Mar 12, 2018, 00:16
Tester Kold666 View Status Public Platform
Assigned To Haze Resolution Fixed OS
Status [?] Resolved Driver asuka.cpp
Version 0.107 Fixed in Version 0.196 Build
Summary 00205: bonzeadv: Go into the secret hole and die in the cave, you restart in a totally black area and you can't do anything.
Description On the first level, if you go into the secret hole and die in the cave, you restart in a totally black area and you can't do anything.

Addition by JonteP: When I died in the third level, this error message popped up and I was unable to do anything (had to restart the game).
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems bonzeadv
Attached Files
png file icon bonzeadv0107red.png (31,885 bytes) Feb 13, 2008, 21:52
png file icon bonzeadv0107red_2.png (14,590 bytes) Feb 13, 2008, 21:52
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.06362
Samurai Fox
Tester
Jul 11, 2010, 19:54
edited on: Jul 11, 2010, 19:54
Hmm... this seems to happen on all of the sets as well, including the Japanese version.

I've been playing the game on Taito Legends 2 (PS2) which is supposed to be an "arcade-perfect" emulation and couldn't reproduce the bug. This could very well be a MAME bug.
User avatar
No.06363
Haze
Senior Tester
Jul 11, 2010, 20:12
It's been broken since Brian improved the c-chip simulation AFAIK.

The Taito legends stuff was actually based on the older MAME simulations I believe, where it worked.

Either way, it's not going to matter much if the c-chips are read out and dumped properly, it's the only way to clear up the issues on this, Rainbow Islands/Extra and Operation Wolf for good (the other games don't really make much use of their c-chips, but those 4 do)
User avatar
No.10566
haynor666
Tester
Apr 13, 2014, 18:05
Happens even in first level, when you die sometimes your body goes of screen and then next time you are in black area.
User avatar
No.14825
Haze
Senior Tester
Mar 11, 2018, 18:37
Can this be checked in current GIT using the real C-Chip dump. It *should* be fixed.